#
# spec file for package gap-idrel
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-idrel
Summary:        GAP: Identities among relations
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Version:        2.38
Release:        bp153.1.12
Url:            http://pages.bangor.ac.uk/~mas023/chda/idrel/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/idrel-%version.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8.7
Requires:       gap-gapdoc >= 1.5.1
Requires:       gap-xmod >= 2.59

%description
The IdRel package is designed for computing the identities among
relations of a group presentation using rewriting, logged rewriting,
monoid polynomials, module polynomials and Y-sequences.

%prep
%setup -qn idrel-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2.38
  * removed examples/*.g from git but saved some in new /expt
  * testall.g copied to testing.g; testall now calls TestDirectory
  * split off method for PartialElementsOfMonoidPresentation
  * added methods for String, ViewString, PrintString
  * added PartialElementsOfMonoidPresentation
    added YSequencesFromRelatorSequences
  * renamed OrderingYSequences -> YSequenceLessThan
    renamed ReducedYSequence -> YSequenceReduce
    new operation YSequenceConjugateAndReduce
    new operation RelatorSequenceReduce
  * added MonoidGeneratorsFpGroup
  * added ArrangementOfMonoidGenerators to allow various orders
* Mon Nov 21 2016 jengelh@inai.de
- Update to new upstream release 2.34
  * added MathJax to makedocrel.g
  * added PrintObj method for monoid presentations
* Tue Aug  4 2015 jengelh@inai.de
- Update to new upstream release 2.31
  * PackageInfo.g: IdRel is now an accepted package
  * converted the bibliography to BibXMLext format
  and added an URL to Anne's thesis (heyworth.ps.gz)
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2.21
  * Metadata update (homepage URL) only
* Fri May 10 2013 jengelh@inai.de
- Split idrel (version 2.14) off the gap RPM package
